<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
                template="./../plantilla-principal.xhtml"
                xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://xmlns.jcp.org/jsf/html"
                xmlns:f="http://xmlns.jcp.org/jsf/core"
                xmlns:jsf="http://xmlns.jcp.org/jsf">

    <ui:define name="contenido">
        <h2 class="ui header">Cobradores y Facturas</h2>
        <!--<div class="ui secondary menu">-->
<!--            <div class="ui fitted item">
                <div id="btn-generar" class="ui blue button">
                    <i class="clone icon" />
                    Generar facturas...
                </div>
            </div>-->
            <!--            <div class="ui fitted item">
                            <div id="btn-generar" class="ui blue button">
                                <i class="print icon" />
                                Vista Previa...
                            </div>
                        </div>-->
        <!--</div>-->
        <div class="ui grid">
            <div class="twelve wide column">
                <h:form id="form-filtrofact" class="ui form">
                    <div class="fields">
                        <div class="six wide field">
                            <div class="ui calendar" id="desde-asignacion">
                                <div class="ui input left icon">
                                    <i class="time icon"></i>
                                    <input id="in-aniomes" type="text" placeholder="Mes Año" jsf:value="#{asignacionCobradoresManBean.strDesdeAsignacionMostrar}" />
                                </div>
                            </div>
                        </div>
                        <div class="six wide field">
                            <div class="ui calendar" id="hasta-asignacion">
                                <div class="ui input left icon">
                                    <i class="time icon"></i>
                                    <input id="in-aniomes" type="text" placeholder="Mes Año" jsf:value="#{asignacionCobradoresManBean.strHastaAsignacionMostrar}" />
                                </div>
                            </div>
                        </div>

                        <div class="four wide field">
                            <h:commandLink  id="cml-periodo" class="ui fluid labeled icon button">
                                Filtrar
                                <i class="filter icon" />
                                <f:ajax execute="@form" render="tabla-cobradores" onevent="function(data){ajaxCmlPeriodo(data)}" />
                            </h:commandLink>
                        </div>
                    </div>
                </h:form>
                <table jsf:id="tabla-cobradores" class="ui selectable celled structured table">
                    <thead>
                        <tr>
                            <th class="collapsing" rowspan="2">
                                <div onclick="seleccionarTodo()" class="ui fitted checkbox">
                                    <input type="checkbox" id="chk-selec-todo"/>
                                    <label/>
                                </div>
                            </th>
                            <th rowspan="2">ID</th>
                            <th rowspan="2">Cobrador</th>
                            <th colspan="2">Pendientes</th>
                            <th colspan="2">Cobrados</th>
<!--                            <th>Nro. Inferior</th>
                            <th>Nro. Superior</th>-->
                        </tr>
                        <tr>                            
                            <th>Cantidad</th>
                            <th>Monto</th>
                            <th>Cantidad</th>
                            <th>Monto</th>
                        </tr>
                    </thead>
                    <tbody id="tbody-tabla">
                        <tr jsf:rendered="#{empty asignacionCobradoresManBean.lstCobradores}"><td colspan="7">(Sin Registros)</td></tr>
                        <ui:repeat value="#{asignacionCobradoresManBean.lstCobradores}" var="cobra" varStatus="cobraStatus">
                            
                            <tr id="rw-#{cobra.idfuncionario}">
                                <td>
                                    <div onclick="selecFila(#{cobra.idfuncionario})" class="ui fitted checkbox">
                                        <input type="checkbox" id="chk-sl-#{cobra.idfuncionario}"/>
                                        <label/>
                                    </div>
                                </td>
                                <td id="col-id-#{cobra.idfuncionario}">
                                    #{cobra.idfuncionario}
                                </td>
                                <td onclick="seleccionarUnaFila(#{cobra.idfuncionario})">
                                    #{cobra.nombres} #{cobra.apellidos}
                                    <h:outputText value="#{cobra.ci}">
                                        <f:convertNumber pattern="(###,###,###,###)" />
                                    </h:outputText>

                                </td>
                                <td onclick="seleccionarUnaFila(#{cobra.idfuncionario})" class="right aligned">#{asignacionCobradoresManBean.getCantidadFacturas(cobra.idfuncionario, false)}</td>
                                <td class="right aligned">
                                    <h:outputText value="#{asignacionCobradoresManBean.getSubtotal(cobra.idfuncionario, false)}">
                                        <f:convertNumber pattern="###,###,###,###" />
                                    </h:outputText>
                                </td>
                                <td class="right aligned" onclick="seleccionarUnaFila(#{cobra.idfuncionario})">#{asignacionCobradoresManBean.getCantidadFacturas(cobra.idfuncionario, true)}</td>
                                <td class="right aligned">
                                    <h:outputText value="#{asignacionCobradoresManBean.getSubtotal(cobra.idfuncionario, true)}">
                                        <f:convertNumber pattern="###,###,###,###" />
                                    </h:outputText>
                                </td>
                            </tr>
                        </ui:repeat>
                    </tbody>
                    <tfoot>
                        <tr>
                            <th colspan="3">
                                <h4 class="ui header">Total</h4>
                            </th>
                            <th class="right aligned">
                                <h4 class="ui header">#{asignacionCobradoresManBean.totalCantidadPendiente}</h4>
                            </th>
                            <th class="right aligned">
                                <h4 class="ui header">
                                <h:outputText value="#{asignacionCobradoresManBean.totalMontoPendiente}">
                                    <f:convertNumber pattern="###,###,###,###" />
                                </h:outputText>
                                </h4>
                            </th>
                            <th class="right aligned">
                                <h4 class="ui header">#{asignacionCobradoresManBean.totalCantidadPagado}</h4>
                            </th>
                            <th class="right aligned">
                                <h4 class="ui header">
                                <h:outputText value="#{asignacionCobradoresManBean.totalMontoPagado}">
                                    <f:convertNumber pattern="###,###,###,###" />
                                </h:outputText>
                                </h4>
                            </th>
                        </tr>
                    </tfoot>
                </table>
            </div>
            <div class="four wide column">
                <div class="ui pointing secondary menu">
                    <a class="item active" data-tab="pendientes">Pendientes</a>
                    <a class="item" data-tab="cobrados">Cobrados</a>

                </div>
                <div class="ui active tab" data-tab="pendientes">
                    <h:form id="det-facturas-pend">
                        <h:commandLink action="#{asignacionCobradoresManBean.generarPDFPendSeleccionado()}" rendered="#{asignacionCobradoresManBean.cobradorSeleccionado!=null}" class="ui fluid labeled icon button">
                            Vista Previa
                            <i class="print icon" />
                        </h:commandLink>
                        <table class="ui basic table" jsf:rendered="#{asignacionCobradoresManBean.cobradorSeleccionado!=null}">
                            <ui:repeat value="#{asignacionCobradoresManBean.lstFacturasPendSel}" var="fac" varStatus="facStatus">
                                <tr class="center aligned">
                                    <td>
                                        #{fac.talonarioFactura.codEstablecimiento}-
                                        <h:outputText value="#{fac.nroFactura}">
                                            <f:convertNumber pattern="000000"/>
                                        </h:outputText>
                                    </td>
                                </tr>
                            </ui:repeat>
                        </table>



                    </h:form>
                </div>
                <div class="ui tab" data-tab="cobrados">
                    <h:form id="det-facturas-cobra">
                        <h:commandLink action="#{asignacionCobradoresManBean.generarPDFPendSeleccionado()}" rendered="#{asignacionCobradoresManBean.cobradorSeleccionado!=null}" class="ui fluid labeled icon button">
                            Vista Previa
                            <i class="print icon" />
                        </h:commandLink>
                        <table class="ui basic table" jsf:rendered="#{asignacionCobradoresManBean.cobradorSeleccionado!=null}">
                            <ui:repeat value="#{asignacionCobradoresManBean.lstFacturasCobradasSel}" var="fac" varStatus="facStatus">
                                <tr class="center aligned">
                                    <td>
                                        #{fac.talonarioFactura.codEstablecimiento}-
                                        <h:outputText value="#{fac.nroFactura}">
                                            <f:convertNumber pattern="000000"/>
                                        </h:outputText>
                                    </td>
                                </tr>
                            </ui:repeat>
                        </table>



                    </h:form>
                </div>
            </div>
        </div>
        <h:form id="form-seleccion">
            <input jsf:id="in-jsonseleccion" type="hidden" jsf:value="#{asignacionCobradoresManBean.jsonSeleccionCobradores}" />
            <h:commandLink id="cml-enviarsel" action="#{asignacionCobradoresManBean.seleccionarCobradores()}">
                <f:ajax execute="@form" render="det-facturas-pend" />
            </h:commandLink>
        </h:form>
        <script type="text/javascript">
            function ajaxCmlPeriodo(data) {
                var s = data.status;
                switch (s) {
                    case 'begin':
                    {
                        console.log("begin: " + $('#in-aniomes').val());
                        
                        //                            console.log("begin: "+$('#form-filtrofact\\:in-aniomes').val());
                        break;
                    }
                    case 'success':
                    {
                        console.log("success: " + $('#in-aniomes').val());
                        if($('#tabla-cobradores tbody tr').length===0){
                            console.log("vacio");
                        }else{
                            console.log("no vacio");
                        }
                        //                            console.log("success: "+$('#form-filtrofact\\:in-aniomes').val());
                        break;
                    }
                }
            }
            $(document).ready(function () {
                $('.menu .item').tab();
                $('#desde-asignacion').calendar({
                    type: 'date',
                    text: {
                        days: ['D', 'L', 'M', 'M', 'J', 'V', 'S'],
                        months: ['enero', 'febrero', 'marzo', 'abril', 'mayo', 'junio', 'julio', 'agosto', 'septiembre', 'octubre', 'noviembre', 'diciembre'],
                        monthsShort: ['ene', 'feb', 'mar', 'abr', 'may', 'jun', 'jul', 'ago', 'sep', 'oct', 'nov', 'dic'],
                        today: 'Hoy',
                        now: 'Ahora',
                        am: 'AM',
                        pm: 'PM'
                    },
                    onChange: function () {
                        console.log("change " + $('#in-aniomes').val());
                        //                        console.log("change "+$('#form-filtrofact\\:in-aniomes').val());
                        $('#form-filtrofact\\:cml-periodo').click();
                    },
                    endCalendar: $('#hasta-asignacion')
                });
                $('#hasta-asignacion').calendar({
                    type: 'date',
                    text: {
                        days: ['D', 'L', 'M', 'M', 'J', 'V', 'S'],
                        months: ['enero', 'febrero', 'marzo', 'abril', 'mayo', 'junio', 'julio', 'agosto', 'septiembre', 'octubre', 'noviembre', 'diciembre'],
                        monthsShort: ['ene', 'feb', 'mar', 'abr', 'may', 'jun', 'jul', 'ago', 'sep', 'oct', 'nov', 'dic'],
                        today: 'Hoy',
                        now: 'Ahora',
                        am: 'AM',
                        pm: 'PM'
                    },
                    onChange: function () {
                        console.log("change " + $('#in-aniomes').val());
                        //                        console.log("change "+$('#form-filtrofact\\:in-aniomes').val());
                        $('#form-filtrofact\\:cml-periodo').click();
                    },
                    startCalendar: $('#desde-asignacion')
                });
            });
            function seleccionarUnaFila(id) {
                var nombFila = "#rw-" + id;
                if ($(nombFila).hasClass('active')) {
                    $('#tabla-cobradores tbody tr').removeClass('active');
                    $('#tabla-cobradores tbody :checkbox').prop('checked', false);
                    //                    ocultarBtnAnular();
                    //                    ocultarBtnImprimir();
                    generarDatosSeleccion();
                } else {
                    $('#tabla-cobradores tbody tr').removeClass('active');
                    $('#tabla-cobradores tbody :checkbox').prop('checked', false);
                    selecFila(id);
                }

            }
            function generarDatosSeleccion() {
                var idSeleccionados = [];
                $("#tabla-cobradores tbody tr [id^='col-id']").each(function (index, value) {
                    var id = parseInt($(this).html());
                    if ($('#chk-sl-' + id).prop('checked')) {
                        idSeleccionados.push(id);
                    }
                });
                var jsonselect = JSON.stringify(idSeleccionados);
                console.log("el json: " + jsonselect);
                $('#form-seleccion\\:in-jsonseleccion').val(jsonselect);
                //                $('#div-btn-elim').hide();
                $('#form-seleccion\\:cml-enviarsel').click();
            }
            function selecFila(id) {
                var nombFila = "#rw-" + id;
                var nombCheck = "#chk-sl-" + id;
                if ($(nombFila).hasClass('active')) {
                    $(nombFila).removeClass('active');
                    $(nombCheck).prop('checked', false);
                } else {
                    $(nombFila).addClass('active');
                    $(nombCheck).prop('checked', true);
                }
                //                ocultarBtnElim();
                //                comprobarSeleccionTodo();
                //                modoModificar();
                //                var seleccionados = $('tbody :checkbox:checked').length;
                //                if (seleccionados === 1) {
                //                    cargarDatos(id);
                //                } else {
                //                    limpiarFormulario();
                //                }
                generarDatosSeleccion();
            }
        </script>
    </ui:define>

</ui:composition>
